Create connection in Embedded Journey instance

Creates a connection for an embedded user within a specific Embedded Journey instance using the required app credentials.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to establish a connection between the end user and a third-party application configured in the Embedded Journey.

📘

For OAuth-based apps, create the connection without passing the connectionInput object. This creates a connection record and returns the connection ID. Then, use the Get connection redirect URL API to generate the OAuth redirect URL and complete authorisation.

For credential-based apps such as api_key, basic_auth, or aws_signature, pass the required fields in the connectionInput object.

Path Params
string
required

Unique identifier of the Embedded Journey instance for which the connection is being created.
This ID is obtained from the Create Embedded Journey Instance API.

Body Params
string
required

Name assigned to the connection for identification

string
required

Unique alias of the application for which the connection is created

json

Object containing app-specific credentials or inputs required to establish the connection. The keys inside this object must match the fields returned from the Get connection details API.
For example, {"<field_key_1>": "", "<field_key_2>": ""}. For OAuth apps, do not pass this field

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json